package BPpackage;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.view.View;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.TextView;
import android.widget.Toast;
import java.lang.Runnable;


public class BoilerPlate extends Activity {

	public WebViewClient client;
    public TextView title;
	private WebView webview;

	private void findViews() {
		title = (TextView) findViewById(R.id.title);
		webview = (WebView) findViewById(R.id.wvMain);
	}


	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		findViews();
		webview.setScrollBarStyle(View.SCROLLBARS_INSIDE_OVERLAY);
		webview.getSettings().setBuiltInZoomControls(true);
		webview.getSettings().setSupportZoom(true);
		
		client = new WebViewClient() {
				@Override
					public boolean shouldOverrideUrlLoading(WebView view, String url) {
					webview.loadUrl(url);
					return true;
				}
			};
		
		webview.setWebViewClient(client);
		webview.getSettings().setDefaultTextEncodingName("utf-8");
		
		webview.loadUrl("file:///android_asset/index.html");
		
		new SimpleEula(this).show();
	}
	

	public void flashcards(View view){
		Intent intent = new Intent(this, Flashcard.class);
		startActivity(intent);
	}


	public void glossary(View view){
		Intent i = new Intent(this, Glossary.class);
		startActivity(i);
	}


    public void exit(View view){
		finish();
    }


	public void dialogs(View view){
		Intent i = new Intent(this, Dialogs.class);
		startActivity(i);
	}


	private boolean doubleBackPressedOnce = false;

	@Override
	public void onBackPressed() {
		boolean web = false;
		String this_page = webview.getOriginalUrl();
		if (!this_page.contains("index")) {
			webview.goBack();
			web = true;
		} else if (doubleBackPressedOnce ) {
			super.onBackPressed();
			return;
		}
		if (!web){
			doubleBackPressedOnce = true;
			Toast.makeText(this, R.string.exit_bkbtn, Toast.LENGTH_SHORT).show();
			new Handler().postDelayed(new Runnable() {

					@Override
						public void run() {
						doubleBackPressedOnce = false;
					}
				}, 2000);
		}
	}

}
